List Agent Tools
curl --request GET \
--url https://api.ravan.ai/api/v1/tools/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravan.ai/api/v1/tools/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravan.ai/api/v1/tools/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Tools fetched successfully",
"data": [
{
"id": "1a2b3c4d-1111-2222-3333-444455556666",
"organizationId": "0b8e2f10-1234-4abc-9def-567890abcdef",
"name": "book_appointment",
"description": "Books an appointment in the connected calendar",
"type": "custom",
"definition": {
"url": "https://example.com/book",
"method": "POST",
"parameters": {
"type": "object",
"properties": {
"date": {
"type": "string"
}
}
}
},
"isActive": true,
"agentId": "9f1c2b3a-4d5e-6f70-8190-a1b2c3d4e5f6",
"enabledFunctions": {
"values": [
"book",
"reschedule"
]
}
}
],
"meta": {
"total": "5",
"limit": 20,
"offset": 0
}
}
Agent Tool API
List Agent Tools
List agent tools for the authenticated organization, optionally filtered by agent.
GET
/
api
/
v1
/
tools
/
List Agent Tools
Authorizations
string
required
Bearer JWT used to authenticate the request for the organization scope.
Query Parameters
integer
Maximum number of records to return.
integer
Number of records to skip before returning results.
string
Filter tools to one agent UUID. The API also accepts
agent_id.Response
boolean
Whether the request succeeded.
string
Human-readable status message.
object[]
object
{
"success": true,
"message": "Tools fetched successfully",
"data": [
{
"id": "1a2b3c4d-1111-2222-3333-444455556666",
"organizationId": "0b8e2f10-1234-4abc-9def-567890abcdef",
"name": "book_appointment",
"description": "Books an appointment in the connected calendar",
"type": "custom",
"definition": {
"url": "https://example.com/book",
"method": "POST",
"parameters": {
"type": "object",
"properties": {
"date": {
"type": "string"
}
}
}
},
"isActive": true,
"agentId": "9f1c2b3a-4d5e-6f70-8190-a1b2c3d4e5f6",
"enabledFunctions": {
"values": [
"book",
"reschedule"
]
}
}
],
"meta": {
"total": "5",
"limit": 20,
"offset": 0
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of records to return.
Number of records to skip before returning results.
Filter tools to a single agent UUID.
Alias for agentId.

